dnl Warning: This is an automatically generated file, do not edit!
dnl Process this file with autoconf to produce a configure script.
AC_PREREQ([2.54])
AC_INIT([ntpa], [0.7.6])
AM_INIT_AUTOMAKE([foreign])
AM_MAINTAINER_MODE

dnl pkg-config
AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
if test "x$PKG_CONFIG" = "xno"; then
        AC_MSG_ERROR([You need to install pkg-config])
fi

SHAMROCK_EXPAND_LIBDIR
SHAMROCK_EXPAND_BINDIR
SHAMROCK_EXPAND_DATADIR

AC_PROG_INSTALL

AC_PATH_PROG(MCS, mcs, no)
if test "x$MCS" = "xno"; then
        AC_MSG_ERROR([mcs Not found])
fi


AC_ARG_ENABLE(debug,
	AC_HELP_STRING([--enable-debug],
		[Use 'DEBUG' Configuration [default=NO]]),
		enable_debug=yes, enable_debug=no)
AM_CONDITIONAL(ENABLE_DEBUG, test x$enable_debug = xyes)
if test "x$enable_debug" = "xyes" ; then
	CONFIG_REQUESTED="yes"
fi
AC_ARG_ENABLE(release,
	AC_HELP_STRING([--enable-release],
		[Use 'RELEASE' Configuration [default=YES]]),
		enable_release=yes, enable_release=no)
AM_CONDITIONAL(ENABLE_RELEASE, test x$enable_release = xyes)
if test "x$enable_release" = "xyes" ; then
	CONFIG_REQUESTED="yes"
fi
if test -z "$CONFIG_REQUESTED" ; then
	AM_CONDITIONAL(ENABLE_RELEASE, true)
	enable_release=yes
fi


dnl package checks, common for all configs
PKG_CHECK_MODULES([NPLOT], [NPlot])

dnl package checks, per config


AC_CONFIG_FILES([
Ntp.Analyzer.Objects/Makefile
Ntp.Common/Makefile
Ntp.Analyzer.Monitor.Client/Makefile
Ntp.Data/Makefile
Ntp.Data.Provider/Makefile
Ntp.Analyzer.Monitor.Cli/Makefile
Ntp.Analyzer.Data/Makefile
Ntp.Analyzer.Import/Makefile
Ntp.Analyzer/Makefile
Ntp.Analyzer.Validate.Cli/Makefile
Ntp.Analyzer.Validate.Gui/Makefile
Ntp.Analyzer.Monitor.Server/Makefile
Ntp.Analyzer.Process/Makefile
Ntp.Analyzer.Cli/Makefile
Makefile

])

AC_OUTPUT
